# README

There is no digital attachments to this thesis as all source code is available at:  
http://github.com/thomsten/ros_asv_system/  
Videos from the simulations are found on YouTube:  
https://www.youtube.com/watch?v=ONTPz2alILE&list=PLCb52_fHWPzwjf-nzMHinRiVqOtwPnER5  

---
## Installation Instructions
In order to launch the system, there are a couple of requirements that needs to
be in place. The user should be on a computer running Ubuntu with a working
distribution of ROS.  In this thesis Ubuntu 14.04 "Trusty Tahr" was used with
ROS "Indigo Igloo", but the system is likely compliant with other distribution
versions. For detailed installation instructions, tutorials and more, see
http://wiki.ros.org/.

A brief step-by-step guide is given here.
1. Install a ROS distribution, _e.g._  
```sh
~$ sudo apt-get install ros-indigo-desktop-full
``` 
and run the following command (and optionally add it to your `.bashrc`):  
```sh
~$ source /opt/ros/indigo/setup.bash
```  
2. Create a [catkin workspace](http://wiki.ros.org/catkin/workspaces)
```sh
~$ mkdir -p ~/my_catkin_ws/src
~$ cd ~/my_catkin_ws/src
~$ catkin_init_workspace
```

3. Download the `ros_asv_system` package from
[GitHub](http://github.com/thomsten/ros_asv_system/)  
```sh
~$ git clone https://github.com/thomsten/ros_asv_system/ --recursive
```
4. Build the packages
```sh
~$ catkin_make
```

5. Run a launch file, _e.g._,
```sh
~$ roslaunch asv_system overtaking_and_crossing.launch
```

If there are package dependency issues, the packages are most likely available
through the Ubuntu package manager or
[`rosinstall`](http://wiki.ros.org/rosinstall). For example, the `map_server`
package is not distributed as a part of the `ros-indigo-desktop-full` package,
but can be installed with  
```sh
~$ sudo apt-get install ros-indigo-map-server
```

### Contact Information
If you experience any issues with the software, you may contact me via
[GitHub](https://github.com/thomsten/) or
[email](mailto:stenersen.thomas@gmail.com) and I might be able to help you out.  
